[android-components](../../index.md) / [mozilla.components.support.base.observer](../index.md) / [ConsumableStream](index.md) / [removeConsumed](./remove-consumed.md)

# removeConsumed

`@Synchronized fun removeConsumed(): `[`ConsumableStream`](index.md)`<`[`T`](index.md#T)`>` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/base/src/main/java/mozilla/components/support/base/observer/Consumable.kt#L153)

Copies the stream but removes all consumed values.

**Return**
a new consumable stream with the consumed values removed.

